## org.eclipse.emf.transaction.internal.l10n
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.emf.transaction.internal.l10n.Messages

    public class Messages

extends NLS

Localized messages for the EMF Transaction plug-in.

Field Summary
`static String` `acquireJobLabel`
`static String` `concurrentWrite`
`static String` `exceptionHandlerFailed`
`static String` `factoryInitialization`
`static String` `factoryInterface`
`static String` `listenerInitialization`
`static String` `listenerInterface`
`static String` `modifyReadOnlyResource`
`static String` `noWriteTx`
`static String` `postcommitFailed`
`static String` `postcommitInterrupted`
`static String` `precommitFailed`
`static String` `precommitInterrupted`
`static String` `privilegedRunnable`
`static String` `readTxRollback`
`static String` `reloadDuringUnload`
`static String` `removeStaticDomain`
`static String` `upgradeReadLock`
`static String` `validationFailure`

Constructor Summary
`Messages()`

Method Summary

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factoryInterface

    public static String factoryInterface

### factoryInitialization

    public static String factoryInitialization

### listenerInterface

    public static String listenerInterface

### listenerInitialization

    public static String listenerInitialization

### removeStaticDomain

    public static String removeStaticDomain

### validationFailure

    public static String validationFailure

### modifyReadOnlyResource

    public static String modifyReadOnlyResource

### noWriteTx

    public static String noWriteTx

### concurrentWrite

    public static String concurrentWrite

### readTxRollback

    public static String readTxRollback

### precommitInterrupted

    public static String precommitInterrupted

### precommitFailed

    public static String precommitFailed

### postcommitInterrupted

    public static String postcommitInterrupted

### postcommitFailed

    public static String postcommitFailed

### exceptionHandlerFailed

    public static String exceptionHandlerFailed

### acquireJobLabel

    public static String acquireJobLabel

### upgradeReadLock

    public static String upgradeReadLock

### privilegedRunnable

    public static String privilegedRunnable

### reloadDuringUnload

    public static String reloadDuringUnload

Constructor Detail

### Messages

    public Messages()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.